Update Team Directory Sync Role Mappings
POST
https://api.vercel.com/v1/teams/{teamId}/dsync-rolesUpdate the Directory Sync role mappings for a Team. This endpoint allows updating the mapping between directory groups and team roles or access groups.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.teams.postTeamDsyncRoles({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "ok": "false"}AuthorizationbearerToken
Default authentication mechanism